diff --git a/web/pgadmin/tools/sqleditor/tests/test_editor_history.py b/web/pgadmin/tools/sqleditor/tests/test_editor_history.py
index 42b28489e..eb17f4521 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_editor_history.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_editor_history.py
@@ -73,30 +73,30 @@ class TestEditorHistory(BaseTestGenerator):
         url = '/datagrid/initialize/query_tool/{0}/{1}/{2}/{3}'.format(
             self.trans_id, utils.SERVER_GROUP, self.server_id, self.db_id)
         response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def runTest(self):
         url = '/sqleditor/query_history/{0}'.format(self.trans_id)
 
         if not self.clear:
             response = self.tester.post(url, data=self.entry)
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
 
             response = self.tester.get(url)
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
 
             response_data = json.loads(response.data.decode('utf-8'))
-            self.assertEquals(len(response_data['data']['result']),
+            self.assertEqual(len(response_data['data']['result']),
                               self.expected_len)
         else:
             response = self.tester.delete(url)
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
 
             response = self.tester.get(url)
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
 
             response_data = json.loads(response.data.decode('utf-8'))
-            self.assertEquals(len(response_data['data']['result']),
+            self.assertEqual(len(response_data['data']['result']),
                               self.expected_len)
 
     def tearDown(self):
diff --git a/web/pgadmin/tools/sqleditor/tests/test_encoding_charset.py b/web/pgadmin/tools/sqleditor/tests/test_encoding_charset.py
index c70258c05..f734ea1c0 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_encoding_charset.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_encoding_charset.py
@@ -260,21 +260,21 @@ class TestEncodingCharset(BaseTestGenerator):
             .format(self.trans_id, test_utils.SERVER_GROUP, self.encode_sid,
                     self.encode_did)
         response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         # Check character
         url = "/sqleditor/query_tool/start/{0}".format(self.trans_id)
         sql = "select E'{0}';".format(self.test_str)
         response = self.tester.post(url, data=json.dumps({"sql": sql}),
                                     content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         url = '/sqleditor/poll/{0}'.format(self.trans_id)
         response = self.tester.get(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
-        self.assertEquals(response_data['data']['rows_fetched_to'], 1)
+        self.assertEqual(response_data['data']['rows_fetched_to'], 1)
         result = response_data['data']['result'][0][0]
-        self.assertEquals(result, self.test_str)
+        self.assertEqual(result, self.test_str)
 
         database_utils.disconnect_database(self, self.encode_sid,
                                            self.encode_did)
diff --git a/web/pgadmin/tools/sqleditor/tests/test_explain_plan.py b/web/pgadmin/tools/sqleditor/tests/test_explain_plan.py
index 8da233938..80ce48bff 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_explain_plan.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_explain_plan.py
@@ -37,7 +37,7 @@ class TestExplainPlan(BaseTestGenerator):
         url = '/datagrid/initialize/query_tool/{0}/{1}/{2}/{3}'.format(
             self.trans_id, utils.SERVER_GROUP, self.server_id, self.db_id)
         response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         # Start query tool transaction
         url = '/sqleditor/query_tool/start/{0}'.format(self.trans_id)
@@ -55,17 +55,17 @@ class TestExplainPlan(BaseTestGenerator):
                 }
             }), content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         # Query tool polling
         url = '/sqleditor/poll/{0}'.format(self.trans_id)
         response = self.tester.get(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
 
         # Check the ouput of explain plan
-        self.assertEquals(len(response_data['data']['result']), 1)
-        self.assertEquals(len(response_data['data']['result'][0]), 1)
+        self.assertEqual(len(response_data['data']['result']), 1)
+        self.assertEqual(len(response_data['data']['result'][0]), 1)
 
         # Disconnect the database
         database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/tools/sqleditor/tests/test_extract_sql_from_network_parameters.py b/web/pgadmin/tools/sqleditor/tests/test_extract_sql_from_network_parameters.py
index 0d10c94d4..1d9604a19 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_extract_sql_from_network_parameters.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_extract_sql_from_network_parameters.py
@@ -59,4 +59,4 @@ class ExtractSQLFromNetworkParametersTest(BaseTestGenerator):
             self.request_form_data
         )
 
-        self.assertEquals(result, self.expected_result)
+        self.assertEqual(result, self.expected_result)
diff --git a/web/pgadmin/tools/sqleditor/tests/test_poll_query_tool.py b/web/pgadmin/tools/sqleditor/tests/test_poll_query_tool.py
index 774fb46df..1f6d89a38 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_poll_query_tool.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_poll_query_tool.py
@@ -80,7 +80,7 @@ NOTICE:  Hello, world!
         url = '/datagrid/initialize/query_tool/{0}/{1}/{2}/{3}'.format(
             self.trans_id, utils.SERVER_GROUP, self.server_id, self.db_id)
         response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         cnt = 0
         for s in self.sql:
@@ -90,12 +90,12 @@ NOTICE:  Hello, world!
             response = self.tester.post(url, data=json.dumps({"sql": s}),
                                         content_type='html/json')
 
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
 
             # Query tool polling
             url = '/sqleditor/poll/{0}'.format(self.trans_id)
             response = self.tester.get(url)
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
             response_data = json.loads(response.data.decode('utf-8'))
 
             if self.expected_message[cnt] is not None:
@@ -104,7 +104,7 @@ NOTICE:  Hello, world!
                               response_data['data']['additional_messages'])
 
             # Check the output
-            self.assertEquals(self.expected_result[cnt],
+            self.assertEqual(self.expected_result[cnt],
                               response_data['data']['result'][0][0])
 
             cnt += 1
diff --git a/web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py b/web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py
index 0a3af0772..8d3dbb050 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py
@@ -34,8 +34,8 @@ class StartQueryTool(BaseTestGenerator):
                 data='"some sql statement"'
             )
 
-            self.assertEquals(response.status, '200 OK')
-            self.assertEquals(response.data, b'some result')
+            self.assertEqual(response.status, '200 OK')
+            self.assertEqual(response.data, b'some result')
             StartRunningQuery_execute_mock \
                 .assert_called_with('transformed sql', 1234, ANY, False)
             extract_sql_from_network_parameters_mock \
diff --git a/web/pgadmin/tools/sqleditor/tests/test_transaction_status.py b/web/pgadmin/tools/sqleditor/tests/test_transaction_status.py
index 589041acc..b12d94885 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_transaction_status.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_transaction_status.py
@@ -246,7 +246,7 @@ class TestTransactionControl(BaseTestGenerator):
         response = self.tester.post(self.auto_commit_url,
                                     data=json.dumps(auto_commit),
                                     content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def _execute_select_sql(self):
         is_success, _ = \
@@ -254,22 +254,22 @@ class TestTransactionControl(BaseTestGenerator):
                           query=self.select_sql,
                           start_query_tool_url=self.start_query_tool_url,
                           poll_url=self.poll_url)
-        self.assertEquals(is_success, True)
+        self.assertEqual(is_success, True)
 
     def _check_transaction_status(self, expected_transaction_status):
         # Check transaction status
         response = self.tester.get(self.status_url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         transaction_status = response_data['data']['status']
-        self.assertEquals(transaction_status, expected_transaction_status)
+        self.assertEqual(transaction_status, expected_transaction_status)
 
     def _save_changed_data(self):
         response = self.tester.post(self.save_url,
                                     data=json.dumps(self.save_payload),
                                     content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def _commit_transaction(self):
         is_success, _ = \
@@ -277,7 +277,7 @@ class TestTransactionControl(BaseTestGenerator):
                           query='COMMIT;',
                           start_query_tool_url=self.start_query_tool_url,
                           poll_url=self.poll_url)
-        self.assertEquals(is_success, True)
+        self.assertEqual(is_success, True)
 
     def _initialize_database_connection(self):
         database_info = parent_node_dict["database"][-1]
@@ -305,7 +305,7 @@ class TestTransactionControl(BaseTestGenerator):
         url = '/datagrid/initialize/query_tool/{0}/{1}/{2}/{3}'.format(
             self.trans_id, utils.SERVER_GROUP, self.server_id, self.db_id)
         response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def _initialize_urls(self):
         self.start_query_tool_url = \
diff --git a/web/pgadmin/tools/sqleditor/tests/test_view_data.py b/web/pgadmin/tools/sqleditor/tests/test_view_data.py
index c0726ad9b..4a9e14842 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_view_data.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_view_data.py
@@ -111,20 +111,20 @@ class TestViewData(BaseTestGenerator):
         else:
             response = self.tester.post(url)
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         url = "/sqleditor/view_data/start/{0}".format(self.trans_id)
         response = self.tester.get(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         # Check the query result
         url = '/sqleditor/poll/{0}'.format(self.trans_id)
         response = self.tester.get(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
 
-        self.assertEquals(response_data['data']['result'], self.result_data)
-        self.assertEquals(response_data['data']['rows_fetched_to'],
+        self.assertEqual(response_data['data']['result'], self.result_data)
+        self.assertEqual(response_data['data']['rows_fetched_to'],
                           self.rows_fetched_to)
 
     def tearDown(self):
diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py b/web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py
index 0a7d6214a..0eed7e95f 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py
@@ -117,7 +117,7 @@ class StartRunningQueryTest(BaseTestGenerator):
             render_template_mock.return_value = self.expected_return_value
             result = apply_explain_plan_wrapper_if_needed(
                 **self.function_input_parameters)
-            self.assertEquals(result, self.expected_return_value)
+            self.assertEqual(result, self.expected_return_value)
             if self.expect_render_template_mock_parameters:
                 render_template_mock.assert_called_with(
                     self.expect_render_template_mock_parameters[
diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_filter_dialog_callbacks.py b/web/pgadmin/tools/sqleditor/utils/tests/test_filter_dialog_callbacks.py
index c72159313..244675b07 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_filter_dialog_callbacks.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_filter_dialog_callbacks.py
@@ -91,13 +91,13 @@ class StartRunningDataSortingTest(BaseTestGenerator):
         )
         if self.type == 'get':
             result = FilterDialog.get(*self.input_parameters)
-            self.assertEquals(
+            self.assertEqual(
                 result.status_code, expected_response.status_code
             )
         else:
             result = FilterDialog.save(
                 *self.input_arg_parameters, **self.input_kwarg_parameters
             )
-            self.assertEquals(
+            self.assertEqual(
                 result.status_code, expected_response.status_code
             )
diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_is_query_resultset_updatable.py b/web/pgadmin/tools/sqleditor/utils/tests/test_is_query_resultset_updatable.py
index 6eda4d3cd..279c8736f 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_is_query_resultset_updatable.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_is_query_resultset_updatable.py
@@ -156,22 +156,22 @@ class TestQueryUpdatableResultset(BaseTestGenerator):
                           query=sql,
                           poll_url=self.poll_url,
                           start_query_tool_url=self.start_query_tool_url)
-        self.assertEquals(is_success, True)
+        self.assertEqual(is_success, True)
         return response_data
 
     def _check_primary_keys(self, response_data):
         primary_keys = response_data['data']['primary_keys']
-        self.assertEquals(primary_keys, self.expected_primary_keys)
+        self.assertEqual(primary_keys, self.expected_primary_keys)
 
     def _check_oids(self, response_data):
         has_oids = response_data['data']['has_oids']
-        self.assertEquals(has_oids, self.expected_has_oids)
+        self.assertEqual(has_oids, self.expected_has_oids)
 
     def _check_editable_columns(self, response_data):
         columns_info = response_data['data']['colinfo']
         for col, expected_is_editable in \
                 zip(columns_info, self.expected_cols_is_editable):
-            self.assertEquals(col['is_editable'], expected_is_editable)
+            self.assertEqual(col['is_editable'], expected_is_editable)
 
     def _initialize_database_connection(self):
         database_info = parent_node_dict["database"][-1]
@@ -204,7 +204,7 @@ class TestQueryUpdatableResultset(BaseTestGenerator):
         url = '/datagrid/initialize/query_tool/{0}/{1}/{2}/{3}'.format(
             self.trans_id, utils.SERVER_GROUP, self.server_id, self.db_id)
         response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def _initialize_urls(self):
         self.start_query_tool_url = \
@@ -265,4 +265,4 @@ class TestTemporaryTable(TestQueryUpdatableResultset):
         results_column_data = response_data['data']['result']
         for result_data, expected_is_editable in \
                 zip(results_column_data, self.expected_results_column_data):
-            self.assertEquals(result_data, expected_is_editable)
+            self.assertEqual(result_data, expected_is_editable)
diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_save_changed_data.py b/web/pgadmin/tools/sqleditor/utils/tests/test_save_changed_data.py
index 8f7cd9dfa..4626800fe 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_save_changed_data.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_save_changed_data.py
@@ -874,7 +874,7 @@ class TestSaveChangedData(BaseTestGenerator):
                           query=query,
                           start_query_tool_url=self.start_query_tool_url,
                           poll_url=self.poll_url)
-        self.assertEquals(is_success, True)
+        self.assertEqual(is_success, True)
         return response_data
 
     def _save_changed_data(self):
@@ -883,19 +883,19 @@ class TestSaveChangedData(BaseTestGenerator):
                                     data=json.dumps(self.save_payload),
                                     content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         # Check that the save is successful
         response_data = json.loads(response.data.decode('utf-8'))
         save_status = response_data['data']['status']
-        self.assertEquals(save_status, self.save_status)
+        self.assertEqual(save_status, self.save_status)
 
     def _check_saved_data(self):
         check_sql = self.check_sql % self.test_table_name
         response_data = self._execute_sql_query(check_sql)
         # Check table for updates
         result = response_data['data']['result']
-        self.assertEquals(result, self.check_result)
+        self.assertEqual(result, self.check_result)
 
     def _initialize_database_connection(self):
         database_info = parent_node_dict["database"][-1]
@@ -922,7 +922,7 @@ class TestSaveChangedData(BaseTestGenerator):
         url = '/datagrid/initialize/query_tool/{0}/{1}/{2}/{3}'.format(
             self.trans_id, utils.SERVER_GROUP, self.server_id, self.db_id)
         response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def _initialize_urls_and_select_sql(self):
         self.start_query_tool_url = \
diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py b/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
index 32715138d..6e596bb96 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
@@ -497,12 +497,12 @@ class StartRunningQueryTest(BaseTestGenerator):
                     '" excepted but not raised'
                 )
 
-            self.assertEquals(result, expected_response)
+            self.assertEqual(result, expected_response)
 
         except AssertionError:
             raise
         except Exception as exception:
-            self.assertEquals(self.manager_connection_exception, exception)
+            self.assertEqual(self.manager_connection_exception, exception)
 
         self.__mock_assertions(internal_server_error_mock,
                                make_json_response_mock)
diff --git a/web/pgadmin/utils/tests/test_compile_template_name.py b/web/pgadmin/utils/tests/test_compile_template_name.py
index fbb40053b..5147e4e9a 100644
--- a/web/pgadmin/utils/tests/test_compile_template_name.py
+++ b/web/pgadmin/utils/tests/test_compile_template_name.py
@@ -36,4 +36,4 @@ class TestCompileTemplateName(BaseTestGenerator):
         result = compile_template_name(
             'some/prefix', 'some_file.sql', self.server_type, self.version
         )
-        self.assertEquals(result, self.expected_return_value)
+        self.assertEqual(result, self.expected_return_value)
diff --git a/web/pgadmin/utils/tests/test_encoding.py b/web/pgadmin/utils/tests/test_encoding.py
index c16c0732c..ef16dd812 100644
--- a/web/pgadmin/utils/tests/test_encoding.py
+++ b/web/pgadmin/utils/tests/test_encoding.py
@@ -224,4 +224,4 @@ class TestEncoding(BaseTestGenerator):
 
     def runTest(self):
         result = get_encoding(self.db_encoding)
-        self.assertEquals(result, self.expected_return_value)
+        self.assertEqual(result, self.expected_return_value)
diff --git a/web/regression/python_test_utils/test_utils.py b/web/regression/python_test_utils/test_utils.py
index 3b30b7aad..82bce5029 100644
--- a/web/regression/python_test_utils/test_utils.py
+++ b/web/regression/python_test_utils/test_utils.py
@@ -1208,7 +1208,7 @@ def generate_scenarios(key, test_cases):
 def assert_status_code(self, response):
     act_res = response.status_code
     exp_res = self.expected_data["status_code"]
-    return self.assertEquals(act_res, exp_res)
+    return self.assertEqual(act_res, exp_res)
 
 
 def assert_error_message(self, response, error_msg=None):
@@ -1217,7 +1217,7 @@ def assert_error_message(self, response, error_msg=None):
         exp_res = error_msg
     else:
         exp_res = self.expected_data["error_msg"]
-    return self.assertEquals(act_res, exp_res)
+    return self.assertEqual(act_res, exp_res)
 
 
 def create_expected_output(parameters, actual_data):
diff --git a/web/regression/re_sql/tests/test_resql.py b/web/regression/re_sql/tests/test_resql.py
index 05ba712fb..88de458a6 100644
--- a/web/regression/re_sql/tests/test_resql.py
+++ b/web/regression/re_sql/tests/test_resql.py
@@ -268,7 +268,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
                                             data=json.dumps(scenario['data']),
                                             content_type='html/json')
                 try:
-                    self.assertEquals(response.status_code, 200)
+                    self.assertEqual(response.status_code, 200)
                 except Exception as e:
                     self.final_test_status = False
                     print(scenario['name'] + "... FAIL")
@@ -302,7 +302,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
                                            data=json.dumps(scenario['data']),
                                            follow_redirects=True)
                 try:
-                    self.assertEquals(response.status_code, 200)
+                    self.assertEqual(response.status_code, 200)
                 except Exception as e:
                     self.final_test_status = False
                     print(scenario['name'] + "... FAIL")
@@ -328,7 +328,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
                     delete_url, data=json.dumps(scenario.get('data', {})),
                     follow_redirects=True)
                 try:
-                    self.assertEquals(delete_response.status_code, 200)
+                    self.assertEqual(delete_response.status_code, 200)
                 except Exception as e:
                     self.final_test_status = False
                     print(scenario['name'] + "... FAIL")
@@ -395,7 +395,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
         response = self.tester.get(url,
                                    follow_redirects=True)
         try:
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
         except Exception as e:
             self.final_test_status = False
             print(scenario['name'] + "... FAIL")
@@ -432,7 +432,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
                 sql = self.preprocess_expected_sql(scenario, sql, resp_sql,
                                                    object_id)
                 try:
-                    self.assertEquals(sql, resp_sql)
+                    self.assertEqual(sql, resp_sql)
                 except Exception as e:
                     self.final_test_status = False
                     traceback.print_exc()
@@ -458,7 +458,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
         response = self.tester.get(sql_url)
 
         try:
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
         except Exception as e:
 
             self.final_test_status = False
@@ -487,7 +487,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
                 sql = self.preprocess_expected_sql(scenario, sql, resp_sql,
                                                    object_id)
                 try:
-                    self.assertEquals(sql, resp_sql)
+                    self.assertEqual(sql, resp_sql)
                 except Exception as e:
                     self.final_test_status = False
                     traceback.print_exc()
@@ -504,7 +504,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
             exp_sql = self.preprocess_expected_sql(scenario, exp_sql, resp_sql,
                                                    object_id)
             try:
-                self.assertEquals(exp_sql, resp_sql)
+                self.assertEqual(exp_sql, resp_sql)
             except Exception as e:
                 self.final_test_status = False
                 traceback.print_exc()
-- 
2.28.0

